net.sf.jasperreports.compilers

## Class GroovyEvaluator

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JREvaluator
  - - net.sf.jasperreports.compilers.GroovyEvaluator

- All Implemented Interfaces:
    DatasetExpressionEvaluator, JasperReportsContextAware

      public abstract class GroovyEvaluator
      extends JREvaluator
      implements JasperReportsContextAware

  Groovy expression evaluator that compiles expressions at fill time.
  Version:
    $Id: GroovyEvaluator.java 6996 2014-04-01 13:21:37Z shertage $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `JRGroovyCompiler`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyEvaluator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addFunctionClosureMethods(org.codehaus.groovy.runtime.MethodClosure methodClosure, java.lang.String functionName)`
    `protected java.lang.Object` | `functionCall(java.lang.String methodName, java.lang.Object[] args)`
    `protected void` | `registerMethods(groovy.lang.ExpandoMetaClass extendedMetaClass)`
    `void` | `setJasperReportsContext(JasperReportsContext context)`

    - ### Methods inherited from class net.sf.jasperreports.engine.fill.JREvaluator

      `customizedInit, evaluate, evaluate, evaluateEstimated, evaluateEstimated, evaluateOld, evaluateOld, getFunctionSupport, handleMissingResource, init, msg, msg, msg, msg, str`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyEvaluator

          public GroovyEvaluator()

  - ### Method Detail

    - #### setJasperReportsContext

          public void setJasperReportsContext(JasperReportsContext context)

      Specified by:
        `setJasperReportsContext` in interface `JasperReportsContextAware`

    - #### functionCall

          protected java.lang.Object functionCall(java.lang.String methodName,
                                      java.lang.Object[] args)

    - #### addFunctionClosureMethods

          protected void addFunctionClosureMethods(org.codehaus.groovy.runtime.MethodClosure methodClosure,
                                       java.lang.String functionName)

    - #### registerMethods

          protected void registerMethods(groovy.lang.ExpandoMetaClass extendedMetaClass)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com